hiroshima.5374.jp を作ってみた

# 目的

* 5374.jpについて伝える
* オープンデータについて伝える

# 対象者

* IT技術者

# 内容

## 5374.jp とは

* ゴミを捨てる日がわかる Web サービス
* Code For Kanazawa が作成

図や動画でどんなものか

### そういうわけで 広島版つくりました

図で。

### つくりかた
* GitHub で フォークする
* csv が入っているので広島の情報にする

## Code For X

* Code For Kanazawa とか Code For Gifu
* 地域の問題は地域の人たちが解決
  * 技術者と市民と自治体が協力
* オープンデータの活用も活動のひとつ

## オープンデータ


## なぜ作ろうと思ったか

OSC 2014 東京の 「あなたも地域のコミッターに。」というスライドがホットエントリに流れてきた

* 技術者でない人が技術に関わる
* 普通の人が GitHub を使う

「すごい広島」の方向性に合いそう

* 「とりあえず、CSVをみんなで作れる状態にしよう!」

- 3日後 -

> ひとりで CSV をつくってしまった!! <

* 広島市のゴミの情報はウェブで公開されてる
* http://www.city.hiroshima.lg.jp/www/contents/0000000000000/1391305461871/index.html
* プログラムかけば、みんなの手をかりる必要がない

csv 作成用のプログラムはこちら


## であった困難

* ゴミの収集日は各地域さまざま。
  * 種類の数もいろいろでデザイン…
* 解析しにくいHTML
* 意味付けのされてないHTML

## 今後の課題

* じつは実装してない機能がある
  * 年末年始の例外に対応してない
* 広島市の場合、地域が細かく選択しづらい
* リファクタリングしたい
  * コードよみづらい…
  * グローバル空間の汚染…
* プルリクエストおまちしております

## 他にも似たサービス

* spending.jp
  * 広島市やるっていった人がいるみたいだけど連絡先不明
